<template>
  <nav>

    <figure class="logo">
      <router-link :to="{name: 'Home'}"><Logo></Logo></router-link>
    </figure>

    <input type="checkbox" id="check">
    <label for="check" class="checkbtn">
      <i class="fas fa-bars"></i>
    </label>

    <ul>
      <li><router-link :to="{name: 'Home'}">Home</router-link></li>
      <li><router-link :to="{name: 'Trajectplanner'}">Trajectplanner</router-link></li>
      <li>
        <router-link :to="{name: 'Trajecten'}" v-if="!user">Trajecten</router-link>
        <router-link :to="{name: 'Trajecten'}" v-else>Trajecten ({{ user.name }})</router-link>
      </li>
      <li>
        <router-link :to="{name: 'Login'}" v-if="!user">Inloggen</router-link>
        <button class="link-btn" @click="logout()" :to="{name: 'Login'}" v-else>Uitloggen </button>
      </li>
    </ul>

  </nav>
</template>

<script>
import { mapGetters } from 'vuex/dist/vuex';
import { mapActions } from 'vuex';
import Logo from '../atoms/Logo.vue';

export default {
  name: 'Nav',
  components: { Logo },
  computed: {
    ...mapGetters('auth', ['user']),
  },
  data() {
    return {
    };
  },
  methods: {
    /* eslint-disable */
    ...mapActions('auth', ['logOut']),
    async logout() {
      try {
        await this.logOut();
        await this.$router.push('/inloggen');
        await this.$router.go();
      } catch (errors) {
        console.log(errors);
      }
    },
  },
};
</script>

<style scoped lang="scss">

nav{
  width: 100%;
  background: #f8f8f8;
  height: 80px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  z-index: 10;
  .router-link-active{
    color: $my-yellow;
  }

  ul{
    margin-right: 60px;

    li{
      display: inline-block;
      line-height: 75px;
      margin: 0 5px;

      a, .link-btn{
        color: $my-black;
        font-size: 1.3em;
        padding: 7px 13px;
        text-decoration: none;
        font-family: 'Roboto', sans-serif;
        background-color: transparent;
        border: none;
      }
      a:hover, .link-btn:hover{
        color: $my-orange;
        transition: .3s;
      }
    }
  }
}

.logo{
  padding-left: 60px;
  width: 100px;
}
.checkbtn{
  font-size: 1.9em;
  color: white;
  float: right;
  line-height: 80px;
  margin-right: 40px;
  cursor: pointer;
  display: none;
}
#check{
  display: none;
}
@media (max-width: 952px){
  .checkbtn{
    display: block;
    color: $my-blue;
  }
  nav ul{
    position: fixed;
    width: 100%;
    height: 100vh;
    background: $my-white;
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all .5s;
    z-index: 10;
  }
  nav ul li{
    display: block;
    margin: 50px 0;
    line-height: 30px;
  }
  nav ul li a{
    font-size: 1.3em;
  }
  #check:checked ~ ul{
    left: 0;
  }
  .logo{
    padding: 20px 30px 20px 30px;
  }
}
</style>
